#ifndef SIM_HPP
#define SIM_HPP

#include "Common.hpp"

class Ship
{
public:
    int64_t x = 0;
    int64_t y = 0;
    int64_t dx = 0;
    int64_t dy = 0;

    void step(char move)
    {
        uint32_t val = (move - '1');
        uint32_t valX = val % 3;
        uint32_t valY = val / 3;
        dx += (int64_t)valX - 1;
        dy += (int64_t)valY - 1;
        x += dx;
        y += dy;
    }
};

#endif
