#ifndef DRAWPROBLEM_HPP
#define DRAWPROBLEM_HPP

#include "Common.hpp"
#include "Problem.hpp"

class Graphics;

void drawProblem(Graphics& gr,
                 const Problem& problem,
                 const Solution& solution,
                 const std::string& text);

void drawProblem(Graphics& gr,
                 const Problem& problem,
                 const std::vector<Coord>& fakeSolution,
                 const std::string& text);

#endif
